Package org.lwjgl.opengles

# Class APPLEFramebufferMultisample

java.lang.Object
org.lwjgl.opengles.APPLEFramebufferMultisample

public final class APPLEFramebufferMultisample extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DRAW_FRAMEBUFFER_APPLE`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_DRAW_FRAMEBUFFER_BINDING_APPLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE`
Returned by CheckFramebufferStatus:
`static final int`
`GL_MAX_SAMPLES_APPLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_READ_FRAMEBUFFER_APPLE`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_READ_FRAMEBUFFER_BINDING_APPLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_RENDERBUFFER_SAMPLES_APPLE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glRenderbufferStorageMultisampleAPPLE(int target, int samples, int internalformat, int width, int height)`
`static void`
`glResolveMultisampleFramebufferAPPLE()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_RENDERBUFFER_SAMPLES_APPLE

public static final int GL_RENDERBUFFER_SAMPLES_APPLE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE

public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE
Returned by CheckFramebufferStatus:

See Also:
  - Constant Field Values

### GL_MAX_SAMPLES_APPLE

public static final int GL_MAX_SAMPLES_APPLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER_APPLE

public static final int GL_READ_FRAMEBUFFER_APPLE
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_APPLE

public static final int GL_DRAW_FRAMEBUFFER_APPLE
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING_APPLE

public static final int GL_DRAW_FRAMEBUFFER_BINDING_APPLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING_APPLE

public static final int GL_READ_FRAMEBUFFER_BINDING_APPLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glRenderbufferStorageMultisampleAPPLE

public static void glRenderbufferStorageMultisampleAPPLE(int target, int samples, int internalformat, int width, int height)

### glResolveMultisampleFramebufferAPPLE

public static void glResolveMultisampleFramebufferAPPLE()